1
vote
1answer
68 views

Why uninstalling openjdk automatically triggers an installation of the alternatives on zypper openSUSE?

I installed openSUSE 13.1 and I want to install Oracle jdk. What I intended was to first uninstall open_jdk/ice tea stuff as I won't be needing them anyway but it seems I cannot uninstall them without ...
1
vote
1answer
1k views

How to use zypper in bash scripts for someone coming from apt-get?

I have a few questions about moving from apt-get to zypper in bash scripts. What is the equivalent of this? sudo apt-get install curl --assume-yes (where curl could be any package) I found the ...
3
votes
1answer
67 views

get info about package update in openSuSE

Is there any way to get information about an available package update via zypper? I can get info about a patch with: zypper info -t patch pachNameHere and I can obtain the patch name via: zypper ...
1
vote
1answer
272 views

Adding openSuSe mono repository?

Question: I want to install mono3 from here: http://download.mono-project.com/archive/3.0.3/linux/x64/ How can I add this link to the appropriate OpenSuse package installation program ? I tried ...
1
vote
3answers
704 views

OpenSUSE: Find all Packages without a repository

I just upgraded to OpenSUSE 12.2 from OpenSUSE 12.1 by changing all of my repositories to target 12.2 (instead of 12.1). Now that I've upgraded, I've found a bunch of packages that have no ...
1
vote
1answer
291 views

Transfer programs to another OS

I have openSUSE. I can install programs with yum. yum install <progname> I want to move my install to a new hard disk. How can I transfer programs from one OS to another? My problem is ...
3
votes
2answers
92 views

In Gnome, how do I decide whether to accept a PackageKit software source?

When I try to install software in the Gnome environment of Linux (mine is openSUSE) from a repository that I have not used before, PackageKit asks me to respond "Yes" or "Cancel" to a dialog "Software ...
2
votes
1answer
303 views

Install apache2-mod-mono-2.10

I am trying to install mod-mono for apache so that I can run C# asp.net websites from my server. The project I have is a .net 4 project. When I go into yast and select apache2-mod-mono for install ...
7
votes
2answers
863 views

How to install exactly the same packages on another computer in openSUSE?

Another computer can be as well virtual machine. I cannot make disk clone because of hardware differences and settings. I have computer A, installed and running, I also have computer B. I will ...
3
votes
1answer
4k views

How do I upgrade to the newest Firefox via YaST in OpenSuSE 11.x? [closed]

I'm running OpenSuSE 11.2 and I would like to upgrade to the newest version of Firefox (v 8 I believe at the time of this question). I'm not interested in extracting a tarball, I would like to do it ...
3
votes
1answer
412 views

“Digest verification failed” when updating system

When I run sudo zypper update: Overall download size: 134.1 MiB. After the operation, additional 5.7 MiB will be used. Continue? [y/n/?] (y): y Automatically agreeing with java-1_6_0-sun-devel ...
2
votes
1answer
309 views

Forcing 'yes' to new update license agreements?

Sometimes when a new version of a big piece of software is released (java, flash, etc), the developers will require that a license agreement be combed through and then ask you to type (yes/no) at the ...
3
votes
3answers
1k views

Package managers Update versus Upgrade?

sudo zypper update The following package updates will NOT be installed: amarok bluedevil choqok cln digikam digikam-lang GeoIP gstreamer-0_10 gstreamer-0_10-plugin-gnomevfs ...
3
votes
2answers
291 views

How to figure out the exact package name of a `.so` file, so that it can be installed through `zypper`?

anisha@linux-dopx:~/tarBalls/qtFlash/bin> ./flashscript ./flashscript: error while loading shared libraries: libqtnmedia.so.2: cannot open shared object file: No such file or directory ...
2
votes
1answer
516 views

Installing Pencil on openSUSE

I have installed openSUSE 11.4 today and I am trying to install Pencil on it. I downloaded the ArchLinux tarball from the site, and after extracting it, the pencil.sh file didn't install, giving a ...
1
vote
3answers
4k views

Installing XVFB on Suse

I'm setting up an OpenSuse web server and need to run CutyCapt and XVFB, but can't find either in any of the repositories. I'm running OpenSuse 11.4 x64 with no desktop GUI. Any advice on where to ...
3
votes
2answers
524 views

How to build a cross-distro binary RPM package?

I'm trying to build a cross-distro binary RPM package that works under Fedora and openSUSE. I'm using a Require: tag to set the dependencies package names. The problem is that the package names are ...
4
votes
2answers
2k views

How do I install mercurial on openSUSE?

Hi I need to install mercurial on my opensuse but I couldn't find the rpm so I just download mercurial.rpm and wanted to install it by using: sudo zypper ... but it said to need python 2.6 so I ...